随笔-146  评论-1393  文章-1 

使用 VSTS 进行 CI 的过程中,无法识别 .NET Core 2.x 的情况处理

  大概是由于 .NET Core 2.1 还没有正式发布,使用 VSTS 进行持续集成(CI)的过程中,自动 Build 的环节无法识别 .NET Core 2.1 的框架,查看日志会提示如下错误:

VSTS The current .NET SDK does not support targeting .NET Core 2.1.

  解决的方案是手动添加对应的 .NET Core 版本 SDK 以及 Runtime(其他版本应该也适用),步骤如下:

  1、在浏览器内打开 VSTS 对应项目,进入到 Build and Release 标签,在 Tasks 内找到已经设置好的 Process,如下图:

  

  2、点击 Phase 1 (或对应自定义的命名)右侧的加号+,在右半边会出现一个列表,选择 .NET Core Tool Installer

 

 

   3、点击 Add 按钮,左侧的 Phase 1 下方就会插入一条名称为 Use .NET Core sdk 1.0.4 的任务,点击该任务:

 

   4、修改 Display Name,根据我们的需要设置,Package to install 选择默认的SDK(contains runtime),重点:在 Viersion 中设置我们使用的 .NET Core 的版本,如:

  4、将左侧的最后一条新增的任务拖拽到第一行:

 

 

  5、点击 Save & queue 进行编译,测试成功。

 

posted on 2018-05-05 20:15 SZW 阅读(...) 评论(...) 编辑 收藏